Package com.io7m.idstore.server.service.configuration.jaxb

# Class ButtonColors

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.ButtonColors

public class ButtonColors extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:com.io7m.idstore:configuration:1}Disabled"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}Enabled"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}Hover"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}Pressed"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ButtonStateColors`
  `disabled`
  `protected ButtonStateColors`
  `enabled`
  `protected ButtonStateColors`
  `hover`
  `protected ButtonStateColors`
  `pressed`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ButtonColors()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ButtonStateColors`
  `getDisabled()`
  Gets the value of the disabled property.
  `ButtonStateColors`
  `getEnabled()`
  Gets the value of the enabled property.
  `ButtonStateColors`
  `getHover()`
  Gets the value of the hover property.
  `ButtonStateColors`
  `getPressed()`
  Gets the value of the pressed property.
  `void`
  `setDisabled(ButtonStateColors value)`
  Sets the value of the disabled property.
  `void`
  `setEnabled(ButtonStateColors value)`
  Sets the value of the enabled property.
  `void`
  `setHover(ButtonStateColors value)`
  Sets the value of the hover property.
  `void`
  `setPressed(ButtonStateColors value)`
  Sets the value of the pressed property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### disabled

    protected ButtonStateColors disabled

  - ### enabled

    protected ButtonStateColors enabled

  - ### hover

    protected ButtonStateColors hover

  - ### pressed

    protected ButtonStateColors pressed

- ## Constructor Details

  - ### ButtonColors

    public ButtonColors()

- ## Method Details

  - ### getDisabled

    public ButtonStateColors getDisabled()
    Gets the value of the disabled property.
    Returns:
      possible object is `ButtonStateColors`

  - ### setDisabled

    public void setDisabled(ButtonStateColors value)
    Sets the value of the disabled property.
    Parameters:
      `value` - allowed object is `ButtonStateColors`

  - ### getEnabled

    public ButtonStateColors getEnabled()
    Gets the value of the enabled property.
    Returns:
      possible object is `ButtonStateColors`

  - ### setEnabled

    public void setEnabled(ButtonStateColors value)
    Sets the value of the enabled property.
    Parameters:
      `value` - allowed object is `ButtonStateColors`

  - ### getHover

    public ButtonStateColors getHover()
    Gets the value of the hover property.
    Returns:
      possible object is `ButtonStateColors`

  - ### setHover

    public void setHover(ButtonStateColors value)
    Sets the value of the hover property.
    Parameters:
      `value` - allowed object is `ButtonStateColors`

  - ### getPressed

    public ButtonStateColors getPressed()
    Gets the value of the pressed property.
    Returns:
      possible object is `ButtonStateColors`

  - ### setPressed

    public void setPressed(ButtonStateColors value)
    Sets the value of the pressed property.
    Parameters:
      `value` - allowed object is `ButtonStateColors`